Activity log for bug #1174946

Date Who What changed Old value New value Message
2013-04-30 21:39:38 Brad Figg bug added bug
2013-04-30 21:39:39 Brad Figg tags kernel-stable-tracking-bug
2013-04-30 21:39:40 Brad Figg bug added subscriber SRU Verification
2013-04-30 21:39:46 Brad Figg bug added subscriber Ubuntu Stable Release Updates Team
2013-04-30 21:39:52 Brad Figg nominated for series Ubuntu Quantal
2013-04-30 21:39:54 Brad Figg bug task added linux (Ubuntu Quantal)
2013-05-06 17:13:58 Brad Figg description SRU Justification Impact: The upstream process for stable tree updates is quite similar in scope to the Ubuntu SRU process, e.g., each patch has to demonstrably fix a bug, and each patch is vetted by upstream by originating either directly from Linus' tree or in a minimally backported form of that patch. The 3.5.7.11 upstream stable patch set is now available. It should be included in the Ubuntu kernel as well. git://git.kernel.org/ TEST CASE: TBD The following patches are in the 3.5.7.11 stable release: SRU Justification     Impact:        The upstream process for stable tree updates is quite similar        in scope to the Ubuntu SRU process, e.g., each patch has to        demonstrably fix a bug, and each patch is vetted by upstream        by originating either directly from Linus' tree or in a minimally        backported form of that patch. The 3.5.7.11 upstream stable        patch set is now available. It should be included in the Ubuntu        kernel as well.        git://git.kernel.org/     TEST CASE: TBD        The following patches are in the 3.5.7.11 stable release: Linux 3.5.7.11 mtd: Disable mtdchar mmap on MMU systems KVM: Allow cross page reads and writes from cached translations. efivars: Fix check for CONFIG_EFI_VARS_PSTORE_DEFAULT_DISABLE efivars: Add module parameter to disable use as a pstore backend efivars: Allow disabling use as a pstore backend ARM: Do 15e0d9e37c (ARM: pm: let platforms select cpu_suspend support) properly hrtimer: Don't reinitialize a cpu_base lock on CPU_UP fbcon: fix locking harder kref: Implement kref_get_unless_zero v3 vfs: Revert spurious fix to spinning prevention in prune_icache_sb kobject: fix kset_find_obj() race with concurrent last kobject_put() Btrfs: make sure nbytes are right after log replay ftrace: Move ftrace_filter_lseek out of CONFIG_DYNAMIC_FTRACE section tracing: Fix possible NULL pointer dereferences udl: handle EDID failure properly. target: Fix incorrect fallthrough of ALUA Standby/Offline/Transition CDBs cifs: Allow passwords which begin with a delimitor x86, mm: Patch out arch_flush_lazy_mmu_mode() when running on bare metal x86, mm, paravirt: Fix vmalloc_fault oops during lazy MMU updates sched_clock: Prevent 64bit inatomicity on 32bit systems libsas: fix handling vacant phy in sas_set_ex_phy() GFS2: Fix unlock of fcntl locks during withdrawn state drm/i915: Use the correct size of the GTT for placing the per-process entries ASoC: wm8903: Fix the bypass to HP/LINEOUT when no DAC or ADC is running PM / reboot: call syscore_shutdown() after disable_nonboot_cpus() ALSA: usb-audio: fix endianness bug in snd_nativeinstruments_* block: avoid using uninitialized value in from queue_var_store drm/i915: add quirk to invert brightness on Packard Bell NCL20 drm/i915: add quirk to invert brightness on eMachines e725 drm/i915: add quirk to invert brightness on eMachines G725 DRM/i915: Add QUIRK_INVERT_BRIGHTNESS for NCR machines. msi-wmi: Fix memory leak x86: Fix rebuild with EFI_STUB enabled r8169: fix auto speed down issue tracing: Fix double free when function profile init failed can: gw: use kmem_cache_free() instead of kfree() rt2x00: rt2x00pci_regbusy_read() - only print register access failure once KVM: Fix bounds checking in ioapic indirect register reads (CVE-2013-1798) KVM: x86: Convert MSR_KVM_SYSTEM_TIME to use gfn_to_hva_cache functions (CVE-2013-1797) KVM: x86: fix for buffer overflow in handling of MSR_KVM_SYSTEM_TIME (CVE-2013-1796) ALSA: hda - fix typo in proc output ALSA: hda - Enabling Realtek ALC 671 codec Bluetooth: Device 0cf3:3008 should map AR 3012 Bluetooth: Add support for atheros 04ca:3004 device to ath3k Bluetooth device 04ca:3008 should use ath3k Bluetooth: Add support for Foxconn / Hon Hai [0489:e056] Bluetooth: Add support for Foxconn / Hon Hai [0489:e04e] Bluetooth: Add support for GC-WB300D PCIe [04ca:3006] to ath3k. Bluetooth: Add support for IMC Networks [13d3:3393] panic: fix a possible deadlock in panic() drm/mgag200: Index 24 in extended CRTC registers is 24 in hex, not decimal. spinlocks and preemption points need to be at least compiler barriers ftrace: Consistently restore trace function on sysctl enabling powerpc: pSeries_lpar_hpte_remove fails from Adjunct partition being performed before the ANDCOND test remoteproc: fix FW_CONFIG typo hwspinlock: fix __hwspin_lock_request error path remoteproc: fix error path of handle_vdev libata: Set max sector to 65535 for Slimtype DVD A DS8A8SH drive libata: Use integer return value for atapi_command_packet_set crypto: gcm - fix assumption that assoc has one segment alpha: Add irongate_io to PCI bus resources Revert "drivers/rtc/rtc-at91rm9200.c: use a variable for storing IMR" ixgbe: fix registration order of driver and DCA nofitication x86: remove the x32 syscall bitmask from syscall_get_nr() ALSA: hda - bug fix on return value when getting HDMI ELD info mwifiex: limit channel number not to overflow memory EISA/PCI: Init EISA early, before PNP EISA/PCI: Fix bus res reference spi/mpc512x-psc: optionally keep PSC SS asserted across xfer segmensts spi/s3c64xx: modified error interrupt handling and init ASoC: dma-sh7760: Fix compile error ASoC: imx-ssi: Fix occasional AC97 reset failure Linux 3.5.7.10 mm: prevent mmap_cache race in find_vma() reiserfs: Fix warning and inode leak when deleting inode with xattrs UBIFS: make space fixup work in the remount case thermal: return an error on failure to register thermal class loop: prevent bdev freeing while device in use ARM: cns3xxx: fix mapping of private memory region virtio: console: add locking around c_ovq operations virtio: console: rename cvq_lock to c_ivq_lock tile: expect new initramfs name from hypervisor file system b43: N-PHY: use more bits for offset in RSSI calibration b43: A fix for DMA transmission sequence errors b43: N-PHY: increase initial value of "mind" in RSSI calibration can: sja1000: fix define conflict on SH nfsd4: reject "negative" acl lengths iwlwifi: dvm: don't send HCMD in restart flow regmap: cache Fix regcache-rbtree sync mac80211: always synchronize_net() during station removal bonding: get netdev_rx_handler_unregister out of locks smsc75xx: fix jumbo frame support pch_gbe: fix ip_summed checksum reporting on rx net: add a synchronize_net() in netdev_rx_handler_unregister() ks8851: Fix interpretation of rxlen field. ipv6: don't accept node local multicast traffic from the wire ipv6: fix bad free of addrconf_init_net ipv6: don't accept multicast traffic with scope 0 DM9000B: driver initialization upgrade atl1e: drop pci-msi support because of packet corruption aoe: reserve enough headroom on skbs net: fix *_DIAG_MAX constants drivers: net: ethernet: cpsw: use netif_wake_queue() while restarting tx queue drivers: net: ethernet: davinci_emac: use netif_wake_queue() while restarting tx queue bonding: fix disabling of arp_interval and miimon bonding: fix miimon and arp_interval delayed work race conditions bonding: remove already created master sysfs link on failure unix: fix a race condition in unix_release() genetlink: trigger BUG_ON if a group name is too long thermal: shorten too long mcast group name 8021q: fix a potential use-after-free tcp: undo spurious timeout after SACK reneging tcp: preserve ACK clocking in TSO sky2: Threshold for Pause Packet is set wrong sky2: Receive Overflows not counted net: remove a WARN_ON() in net_enable_timestamp() sysfs: fix race between readdir and lseek HID: usbhid: fix build problem Bluetooth: Fix not closing SCO sockets in the BT_CONNECT2 state Btrfs: use set_nlink if our i_nlink is 0 USB: ti_usb_3410_5052: fix use-after-free in TIOCMIWAIT USB: ssu100: fix use-after-free in TIOCMIWAIT USB: spcp8x5: fix use-after-free in TIOCMIWAIT USB: quatech2: fix use-after-free in TIOCMIWAIT USB: pl2303: fix use-after-free in TIOCMIWAIT USB: oti6858: fix use-after-free in TIOCMIWAIT USB: mos7840: fix use-after-free in TIOCMIWAIT USB: mos7840: fix broken TIOCMIWAIT USB: mct_u232: fix use-after-free in TIOCMIWAIT USB: io_ti: fix use-after-free in TIOCMIWAIT USB: io_edgeport: fix use-after-free in TIOCMIWAIT USB: ftdi_sio: fix use-after-free in TIOCMIWAIT USB: f81232: fix use-after-free in TIOCMIWAIT USB: cypress_m8: fix use-after-free in TIOCMIWAIT USB: ch341: fix use-after-free in TIOCMIWAIT USB: ark3116: fix use-after-free in TIOCMIWAIT USB: serial: add modem-status-change wait queue Btrfs: don't drop path when printing out tree errors in scrub usb: ftdi_sio: Add support for Mitsubishi FX-USB-AW/-BD Btrfs: limit the global reserve to 512mb Btrfs: fix space leak when we fail to reserve metadata space Btrfs: fix race between mmap writes and compression USB: serial: fix hang when opening port staging: comedi: s626: fix continuous acquisition usb: xhci: Fix TRB transfer length macro used for Event TRB. sysfs: handle failure path correctly for readdir() xen-blkback: fix dispatch_rw_block_io() error path HID: usbhid: quirk for MSI GX680R led panel HID: usbhid: quirk for Realtek Multi-card reader tty: atmel_serial_probe(): index of atmel_ports[] fix xen/blkback: correctly respond to unknown, non-native requests udf: Fix bitmap overflow on large filesystems with small block size nohz: Make tick_nohz_irq_exit() irq safe tracing: Prevent buffer overwrite disabled for latency tracers tracing: Protect tracer flags with trace_types_lock i915: initialize CADL in opregion iommu/amd: Make sure dma_ops are set for hotplug devices vt: synchronize_rcu() under spinlock is not nice... Nest rename_lock inside vfsmount_lock SUNRPC: Add barriers to ensure read ordering in rpc_wake_up_task_queue_locked IPoIB: Fix send lockup due to missed TX completion NFSv4.1: Fix a race in pNFS layoutcommit pnfs-block: removing DM device maybe cause oops when call dev_remove net/irda: add missing error path release_sock call rtlwifi: usb: add missing freeing of skbuff ath9k: limit tx path hang check to normal data queues ath9k_hw: revert chainmask to user configuration after calibration Bluetooth: Add support for Dell[QCA 0cf3:817a] Bluetooth: Add support for Dell[QCA 0cf3:0036] clockevents: Don't allow dummy broadcast timers
2013-05-08 02:57:05 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/linux-lts-quantal
2013-05-11 03:19:40 Launchpad Janitor branch linked lp:ubuntu/quantal-proposed/linux-ti-omap4
2013-05-24 03:48:18 Adam Conrad removed subscriber Ubuntu Stable Release Updates Team
2013-05-24 10:39:13 Julian Wiedmann linux (Ubuntu Quantal): status New Fix Released
2013-05-24 10:39:16 Julian Wiedmann linux (Ubuntu): status New Invalid